import React from 'react';
import { Radio, Select  } from 'antd';
import { $Axios } from '@/common/publish';
import '../center-o/centerO.scss'

export default class centerO extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            children : [
                { txt : '请选择商户签约性质', value : 0 },
                { txt : '个体工商户',value : 1 },
                { txt : '事业单位',value : 2 },
                { txt : '民办非企业组织',value : 3 },
                { txt : '社会团体',value : 4 },
                { txt : '非法人企业',value : 5 },
                { txt : '自然人',value : 6 },
                { txt : '政府机关',value : 7 },
                { txt : '其他',value : 8 },
            ]
        }
        
    }
	
	componentDidMount() {
        
    }

    handleChange(value) {
        console.log(`Selected: ${value}`);
    }


    render() {
        const { children } = this.state;
        const { Option } = Select;
        return(
            <div className='center_up'>
                <div className='center_left'>
                    <div className='c-l'>
                        商户入网类型 ： <Radio.Group name="radiogroup" defaultValue={1}>
                                            <Radio value={1}>被分帐方</Radio>
                                        </Radio.Group>
                    </div>
                    <div className='c-l'>
                        商户签约性质 ： <Select size='default' defaultValue="请选择商户签约性质" onChange={ this.handleChange } style={{ width: 200 }}>
                                            {children.map((item,index) => {
                                                {console.log(item)}
                                                // <Option value={item.value}>{item.txt}</Option>
                                            })}
                                        </Select>
                    </div>
                </div>
                <div className='center_right'></div>
            </div>
        )
    }
}